

bohr=5.8;
hoehe=18;
stufe=3; //
D1=12;
D2=16;
wandAussen=1.6;
wandInnen=2.0;
rundungshoehe=1.5;
deckeldicke=1.25;
zentrumNiedriger=2;
achslaenge=7.5;

$fn=12;

difference(){
    union(){
      translate([0,0, rundungshoehe-0.01])
        cylinder(d1=D1, d2=D2, h=hoehe);
      translate([0,0, rundungshoehe])
        scale([D1,D1,rundungshoehe*2]) //Deckel
        intersection(){
            sphere(r=0.5,$fn=12);
            translate([-1,-1, -0.3])
                cube([2,2,1]);
        }
    }        
    translate([0,0, deckeldicke]) //Kegel aushöhlen
        cylinder(d1=D1-2*wandAussen, d2=D2-2*wandAussen, h=hoehe+1);
} 
color("lightblue")
translate([0,0,deckeldicke]) //Innenrohr
  difference(){    
    cylinder(d=wandInnen*2+bohr, h=hoehe-deckeldicke-zentrumNiedriger-1);
    translate([0,0,achslaenge])
        cylinder(d=bohr, h=99);
  }

color("red")
for (i=[0:360/5:360]){
    rotate([0,0,i])
        translate([0,0,deckeldicke-0.01])
            intersection(){
                translate([-0.6,0,1])
                    cube([1.25,D1,hoehe-zentrumNiedriger-deckeldicke-1]); 
                difference(){    
                    cylinder(d1=D1-0.5, d2=D2-1, h=hoehe);
                    translate([0,0,0.1])
                        cylinder(d=wandInnen*2+bohr, h=hoehe-deckeldicke-zentrumNiedriger);
                }
            }
} 